package VRTS::Constants::P_ARRAY_NAS_FILESYSTEM;
require Exporter;
use strict;
use vars qw($VERSION @ISA @EXPORT);
$VERSION = '5.00';
@ISA = qw(Exporter);
@EXPORT = qw[ID NAME SECURITY_STYLE PATH IS_AUTO_EXTEND_ENABLED AUTO_EXTEND_MAX_SIZE HIGH_WATERMARK IS_QUOTA_ENABLED IS_THIN VOLUME_CAPACITY RAW_VOLUME_CAPACITY IS_LOCK_ENABLED CWORM_STATE OVERHEAD_FACTOR FILE_STORAGE_CAPACITY FILE_STORAGE_USED PHYSICAL_FILE_STORAGE_CAPACITY DEVICE_GROUP_ID SUBSYS_ID LAYOUT SUBTYPE STATUS MIRRORS COLUMNS SHARE FLAGS BLOCK_SIZE STRIPE_UNIT CACHE_ID ];

use constant ID => 0;
use constant NAME => 1;
use constant SECURITY_STYLE => 2;
use constant PATH => 3;
use constant IS_AUTO_EXTEND_ENABLED => 4;
use constant AUTO_EXTEND_MAX_SIZE => 5;
use constant HIGH_WATERMARK => 6;
use constant IS_QUOTA_ENABLED => 7;
use constant IS_THIN => 8;
use constant VOLUME_CAPACITY => 9;
use constant RAW_VOLUME_CAPACITY => 10;
use constant IS_LOCK_ENABLED => 11;
use constant CWORM_STATE => 12;
use constant OVERHEAD_FACTOR => 13;
use constant FILE_STORAGE_CAPACITY => 14;
use constant FILE_STORAGE_USED => 15;
use constant PHYSICAL_FILE_STORAGE_CAPACITY => 16;
use constant DEVICE_GROUP_ID => 17;
use constant SUBSYS_ID => 18;
use constant LAYOUT => 19;
use constant SUBTYPE => 20;
use constant STATUS => 21;
use constant MIRRORS => 22;
use constant COLUMNS => 23;
use constant SHARE => 24;
use constant FLAGS => 25;
use constant BLOCK_SIZE => 26;
use constant STRIPE_UNIT => 27;
use constant CACHE_ID => 28;

1;
