package VRTS::Constants::P_ARRAY_SUBSYSTEM;
require Exporter;
use strict;
use vars qw($VERSION @ISA @EXPORT);
$VERSION = '5.00';
@ISA = qw(Exporter);
@EXPORT = qw[ID SERIAL_NUMBER VENDOR VENDOR_ID PRODUCT NAME PHYSICAL_SIZE RAIDGROUP_CAPABLE VIRTUALIZATION_CAPABLE THIN_CAPABLE REQUIRES_SSL AUTHENTICATION_REQUIRED NOOFSPAREDRIVES ALLOCATED_SIZE RAID_OVERHEAD MAPPED_SIZE PORT MICROCODE_VERSION UI_LDEV_STRING UI_PDEV_STRING UI_RAIDGROUP_STRING UI_WWN_GROUP_STRING DESCRIPTION FAMILY CONTROLLER_VERSION LAST_UPDATE IP LAST_COUNTER PARTNER_NODE_NAME PARTNER_NODE_ID CAPACITY_UNALLOCATED_THROUGH_VIRTUALIZER CAPACITY_ALLOCATED_TO_HOSTS_THROUGH_VIRTUALIZER THINAWARE_CAPACITY_ALLOCATED_TO_HOSTS_THROUGH_VIRTUALIZER TIME ARRAY_TYPE FILER_TYPE ALT_ID VERSION UPGRADABLE TEST ];

use constant ID => 0;
use constant SERIAL_NUMBER => 1;
use constant VENDOR => 2;
use constant VENDOR_ID => 3;
use constant PRODUCT => 4;
use constant NAME => 5;
use constant PHYSICAL_SIZE => 6;
use constant RAIDGROUP_CAPABLE => 7;
use constant VIRTUALIZATION_CAPABLE => 8;
use constant THIN_CAPABLE => 9;
use constant REQUIRES_SSL => 10;
use constant AUTHENTICATION_REQUIRED => 11;
use constant NOOFSPAREDRIVES => 12;
use constant ALLOCATED_SIZE => 13;
use constant RAID_OVERHEAD => 14;
use constant MAPPED_SIZE => 15;
use constant PORT => 16;
use constant MICROCODE_VERSION => 17;
use constant UI_LDEV_STRING => 18;
use constant UI_PDEV_STRING => 19;
use constant UI_RAIDGROUP_STRING => 20;
use constant UI_WWN_GROUP_STRING => 21;
use constant DESCRIPTION => 22;
use constant FAMILY => 23;
use constant CONTROLLER_VERSION => 24;
use constant LAST_UPDATE => 25;
use constant IP => 26;
use constant LAST_COUNTER => 27;
use constant PARTNER_NODE_NAME => 28;
use constant PARTNER_NODE_ID => 29;
use constant CAPACITY_UNALLOCATED_THROUGH_VIRTUALIZER => 30;
use constant CAPACITY_ALLOCATED_TO_HOSTS_THROUGH_VIRTUALIZER => 31;
use constant THINAWARE_CAPACITY_ALLOCATED_TO_HOSTS_THROUGH_VIRTUALIZER => 32;
use constant TIME => 33;
use constant ARRAY_TYPE => 34;
use constant FILER_TYPE => 35;
use constant ALT_ID => 36;
use constant VERSION => 37;
use constant UPGRADABLE => 38;
use constant TEST => 39;

1;
