package VRTS::Constants::P_ARRAY_DEVICE_GROUP;
require Exporter;
use strict;
use vars qw($VERSION @ISA @EXPORT);
$VERSION = '5.00';
@ISA = qw(Exporter);
@EXPORT = qw[ID SUBSYS_ID USAGE_RATE STATE NDEVICES THRESHOLD NVVOLS RAW_SIZE OVERHEAD_SIZE TOTAL_SIZE DEVICE_SIZE FREE_SIZE VVOL_SIZE TYPE SUBTYPE RAID_LEVEL LAYOUT NAME VENDOR_ID SNAP_RESERVE_SIZE OVERHEAD_FACTOR RPM USED_SIZE ];

use constant ID => 0;
use constant SUBSYS_ID => 1;
use constant USAGE_RATE => 2;
use constant STATE => 3;
use constant NDEVICES => 4;
use constant THRESHOLD => 5;
use constant NVVOLS => 6;
use constant RAW_SIZE => 7;
use constant OVERHEAD_SIZE => 8;
use constant TOTAL_SIZE => 9;
use constant DEVICE_SIZE => 10;
use constant FREE_SIZE => 11;
use constant VVOL_SIZE => 12;
use constant TYPE => 13;
use constant SUBTYPE => 14;
use constant RAID_LEVEL => 15;
use constant LAYOUT => 16;
use constant NAME => 17;
use constant VENDOR_ID => 18;
use constant SNAP_RESERVE_SIZE => 19;
use constant OVERHEAD_FACTOR => 20;
use constant RPM => 21;
use constant USED_SIZE => 22;

1;
